# Poco::Net

# class KeyFileHandler

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/KeyFileHandler.h

## Description

An implementation of PrivateKeyPassphraseHandler that reads the key for a certificate from a configuration file under the path "openSSL.privateKeyPassphraseHandler.options.password".

## Inheritance

Direct Base Classes: PrivateKeyPassphraseHandler

All Base Classes: PrivateKeyPassphraseHandler

## Member Summary

Member Functions: onPrivateKeyRequested

Inherited Functions: onPrivateKeyRequested, serverSide

## Constructors

### KeyFileHandler

KeyFileHandler(
bool server
);

Creates the KeyFileHandler.

## Destructor

### ~KeyFileHandler

virtual ~KeyFileHandler();

Destroys the KeyFileHandler.

## Member Functions

### onPrivateKeyRequested

void onPrivateKeyRequested(
const void * pSender,
std::string & privateKey
);

See also: Poco::Net::PrivateKeyPassphraseHandler::onPrivateKeyRequested()